Subject: Thomas Weisel Partners, Hambrecht & Quist
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Wed, 10 May 2000 02:08:00 -0700 (PDT)

John,
We are having difficulty in getting Executing Broker Agreements in place with 
Thomas Weisel Partners and Hambrecht & Quist.  We would like your help in 
calling your contact and getting the name of a legal person Sara can talk to.
Thomas Weisel has never called Sara back and for Hambrecht & Quest we sent 
our comments to the agreement to them and they just sent back the original 
one we reviewed.

Thanks. Sheila